aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--main/phpmyadmin/APKBUILD23
1 files changed, 8 insertions, 15 deletions
diff --git a/main/phpmyadmin/APKBUILD b/main/phpmyadmin/APKBUILD
index ca79253451..aeb56981c3 100644
--- a/main/phpmyadmin/APKBUILD
+++ b/main/phpmyadmin/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Matt Smith <mcs@darkregion.net>
# Maintainer: Matt Smith <mcs@darkregion.net>
pkgname=phpmyadmin
-pkgver=3.4.11.1
+pkgver=4.0.0
pkgrel=0
pkgdesc="A Web-based PHP tool for administering MySQL"
url="http://www.phpmyadmin.net/"
@@ -55,17 +55,8 @@ package() {
install -Dm644 "$srcdir"/$pkgname.apache2.conf \
"$pkgdir"/etc/apache2/conf.d/$pkgname.conf || return 1
- # copy some contribs over
- mkdir -p "$pkgdir"/usr/share/$pkgname/contrib || return 1
- _contribs="htaccess swekey.sample.conf"
- for _contrib in $_contribs; do
- mv "$pkgdir"/usr/share/webapps/$pkgname/contrib/$_contrib \
- "$pkgdir"/usr/share/$pkgname/contrib/ \
- || return 1
- done
- rm -rf "$pkgdir"/usr/share/webapps/$pkgname/contrib || return 1
-
# copy sample config
+ mkdir -p "$pkgdir"/usr/share/$pkgname/ || return 1
mv "$pkgdir"/usr/share/webapps/$pkgname/config.sample.inc.php \
"$pkgdir"/usr/share/$pkgname/ || return 1
}
@@ -74,9 +65,7 @@ doc() {
cd "$_builddir"
mkdir -p "$subpkgdir"/usr/share/doc/$pkgname || return 1
- _docs="CREDITS ChangeLog Documentation.html Documentation.txt \
- INSTALL LICENSE README README.VENDOR RELEASE-DATE-$pkgver \
- TODO"
+ _docs="ChangeLog LICENSE README RELEASE-DATE-$pkgver"
for _doc in $_docs; do
mv "$pkgdir"/usr/share/webapps/$pkgname/$_doc \
"$subpkgdir"/usr/share/doc/$pkgname/ \
@@ -84,5 +73,9 @@ doc() {
done
}
-md5sums="e54cedac04ef1743eae381c9affd2fc1 phpMyAdmin-3.4.11.1-all-languages.tar.gz
+md5sums="fb067c04cb8ca2480f20341700720bfe phpMyAdmin-4.0.0-all-languages.tar.gz
2d144825122042b4a2536ad789d66e8e phpmyadmin.apache2.conf"
+sha256sums="95336f1a1165f4e5f7dcb1cb945c70d9167d2a920d2bf767d6ebb4a4925aba19 phpMyAdmin-4.0.0-all-languages.tar.gz
+4fbc1d0338ed7234a3d74f71910a24e467c8a0ec1dad31324e954741f93bd2d3 phpmyadmin.apache2.conf"
+sha512sums="76487702ab04c0d2c7cfccd360fd0e8a367e48c893d6c410b2a90658624ee41262bcfa27f1ba8a1e119a1a1ac4f23a4f1ccdfa4f2a48162591f5478fc65abefa phpMyAdmin-4.0.0-all-languages.tar.gz
+c6af2960b95924c31cc05d90e7282ba9be6cb6eabb134b8bb627230a4253c017eca75132420a356acd6aecdce146e29666ed90fc90749820060a64478d3e2105 phpmyadmin.apache2.conf"